Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.es
Class Global

    java.lang.Object
      |
      +--com.caucho.es.ESBase
            |
            +--com.caucho.es.Global

public class Global
extends ESBase

Implementation class for the global prototype

Fields inherited from class com.caucho.es.ESBase
`DONT_DELETE, DONT_ENUM, esBase, esEmpty, esNull, esUndefined, READ_ONLY`

Method Summary
`ESObject` | `createObject()`
`java.lang.ClassLoader` | `getClassLoader()`
`static Global` | `getGlobalProto()`
`java.lang.ClassLoader` | `getParentLoader()`
`ESBase` | `getProperty(ESString id)`
`void` | `importScript(ESObject global, java.lang.String name)`
`java.lang.Object` | `toJavaObject()`
`static ESBase` | `wrap(java.lang.Object object)`

Methods inherited from class com.caucho.es.ESBase
`call, call, construct, delete, ecmaEquals, getProperty, greaterThan, hasProperty, isBoolean, isNum, isString, keys, lessThan, plus, setProperty, setProperty, setProperty, toBoolean, toInt32, toJavaString, toNum, toObject, toPrimitive, toPrimitive, toSource, toStr, toString, typeof, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getProperty

    public ESBase getProperty(ESString id)
                       throws java.lang.Exception

  Overrides:
    `getProperty` in class `ESBase`

### getGlobalProto

    public static Global getGlobalProto()

### wrap

    public static ESBase wrap(java.lang.Object object)

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

### getParentLoader

    public java.lang.ClassLoader getParentLoader()

### importScript

    public void importScript(ESObject global,
                             java.lang.String name)
                      throws java.lang.Exception

### toJavaObject

    public java.lang.Object toJavaObject()
                                  throws ESException

  Overrides:
    `toJavaObject` in class `ESBase`

### createObject

    public ESObject createObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD